package start;

import engine.MenuPanel;
import jeu.Painter;
import spotify.MP3;

import engine.GameEngineGraphical;
import jeu.Controller;
import jeu.Jeu;

import static jeu.Jeu.*;


/**
 * lancement du moteur avec le jeu
 */
public class Main {

	public static void main(String[] args) throws InterruptedException {
		MenuPanel menu = new MenuPanel();
		while(engine.MenuPanel.isRetourdebut()) {

			menu.menudebut();
			Thread.sleep(2);
			menu.menuChoice();
			Thread.sleep(2);
			menu.menuChoice2();

			// creation du jeu particulier et de son afficheur
			Jeu game = new Jeu("helpFilePacman.txt");
			Painter painter = new Painter();
			Controller controller = new Controller();

			GameEngineGraphical engine = new GameEngineGraphical(game, painter, controller);


			//pour la musique
			MP3 mp3 = new MP3("cyberPacMusic1bon.wav");
			mp3.displayMusic();

			// classe qui lance le moteur de jeu generique
			engine.run();

			//stop la musique du jeu
			mp3.stopMusic();


			if(getGameCharacter().death() ){
				mp3 = new MP3("failsound.wav");

				mp3.displayMusic();
				menu.menufin();
				mp3.stopMusic();
			}
			if (getMonsterList().get(levelManager.getIndexBoss()).death()){
				mp3 = new MP3("audio.wav");


				mp3.displayMusic();
				menu.menufinVicory();
				mp3.stopMusic();
			}

		}

	}

}
